#!/usr/bin/env python
# coding: utf-8

from multiprocessing import Pool
from smartcarb.orbit import compute_orbit

import config

if __name__ == '__main__':

    # orbit_numbers:
    #  - 0-412 for Sentinel-5
    #  - 0-164 for Sentinel-7_*
    name = sys.argv[1]
    start = int(sys.argv[2])
    stop = int(sys.argv[3])

    args = [(name, number) for number in range(start, stop)]

    pool = Pool(processes=config.nproc)
    pool.map(lambda a: compute_orbit(*a), args)


